EDIT - feature request #9026

Implement Feature.supportedDataTypes as EnumSet
05/24/2020 04:32 PM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 5.15

Severity: normal

Description

Related issues:

Related to EDIT - feature request #8802: Implement flowering period for Flora... Closed
Related to EDIT - feature request #7140: Separate character's/feature's recom... New
Related to EDIT - feature request #9027: Implement Feature.availableFor Closed
Related to EDIT - task #10109: Investigate best practice for HQL with enumset New
Precedes EDIT - task #9037: Remove old Feature.supportedXXX columns Closed

Associated revisions

Revision a8b31160 - 05/27/2020 11:22 AM - Andreas Miuiller
ref #7140 , ref #8802 implement supportedDataTypes and availableFor for Feature

Revision e922f2cf - 05/27/2020 11:22 AM - Andreas Muller
ref #9027, ref #9026 update scripts for Feature.availableFor and .supportedDataTypes

History

#1 - 05/24/2020 04:33 PM - Andreas Miiller
- Related to feature request #8802: Implement flowering period for Flora of Cyprus added

#2 - 05/24/2020 04:33 PM - Andreas Miuller

- Related to feature request #7140: Separate character's/feature's recommendedXXX data by usage for specimen and taxa added

#3 - 05/24/2020 04:37 PM - Andreas Miuller

- Related to feature request #9027: Implement Feature.availableFor added

#4 - 05/24/2020 04:59 PM - Andreas Miuller

- Subject changed from Implement Feature.supportsXXX as EnumSet to Implement Feature.supportedDataTypes as EnumSet

#5 - 05/26/2020 11:27 AM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

#6 - 05/27/2020 10:37 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

The update script works as expected.

#7 - 05/27/2020 10:59 PM - Andreas Miiller
- Precedes task #9037: Remove old Feature.supportedXXX columns added

#8 - 07/29/2022 08:51 PM - Andreas Miuller
- Related to task #10109: Investigate best practice for HQL with enumset added
